{% extends 'base.html.twig' %}

{% block title %}
    {% if title is defined %}
        {{title}} - Parcourir
    {% else %}
        All Articles
    {% endif %}
{% endblock %}

{% block body %}
<div class="container">
    <h3 class="text-center my-3 text-primary">
        {% if title is defined %}
            {{title}} - Parcourir
        {% else %}
            All Articles
        {% endif %}
    </h3>
    <div class="dropdown" style="text-align:right;">
        <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenu2" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            Trier par
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownMenu2"> 
            <a class="pl-2" href="{{ path('all-articles',{'sort': 'ASC', 'owner':app.request.get("owner"), 'category':app.request.get("category")}) }}" style="text-decoration: none">Prix
                croissant</a><br>
            <a class="pl-2" href="{{ path('all-articles',{'sort': 'DESC', 'owner':app.request.get("owner"), 'category':app.request.get("category")}) }}" style="text-decoration: none">Prix
                décroissant</a>
        </div>
    </div>
    <br>
    <div class="row">
        {% for article in articles %}
        <div class="col-12 col-md-6 col-lg-4 mb-4 justify-space-around">
            <div class="card m-auto border h-100">
                <img src="{{asset(article.photo)}}" class="card-img-top" alt="" style="height:20vh; object-fit: cover;">
                <div class="card-body">
                    <h5 class="card-title text-center"><strong>{{article.name}}</strong></h5>
                    <p class="card-text text-center">
                        {{article.description}}
                    </p>
                    <strong class="card-text text-right">{{article.price}}€
                        {% if article.comments|length > 0 %}- 
                            {% set total = 0 %}
                            {% for comment in article.comments %}
                                {% set total = comment.note + total %}  
                            {% endfor %}
                            {% set total = total / article.comments|length %}
                            {% for x in 0..4 %}
                                {% if total|round(2, 'floor') - x >= 1 %}
                                <i style="color: rgb(251, 217, 19)" class="fa fa-star gold"></i>
                                {% elseif total - x > 0 %}
                                    <i style="color: rgb(251, 217, 19)" class="fas fa-star-half-alt"></i>
                                    <i style="color: rgb(251, 217, 19)" class="fa fa-star-half-o gold"></i>
                                {% else %}
                                    <i style="color: rgb(251, 217, 19)" class="far fa-star"></i>
                                {% endif %}
                            {% endfor %}
                        {% endif %}
                    </strong>
                    <div>
                        <a href="{{path('article', {article:article.id})}}" class="btn btn-outline-primary float-right">Voir <i class="fas fa-caret-right"></i></a>
                    </div>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>
{% endblock %}